Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4317 - Something weird with xauth and gdm at first login after boot
Summary: Something weird with xauth and gdm at first login after boot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-02 19:55 UTC by lush
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-06 15:28:45 UTC


Attachments (Terms of Use)

Description lush 1999-08-02 19:55:48 UTC
About 50% of the time the first login after boot has
problems.  The symptoms are a very slow login time and an
inability to run certain applets (e.g. logout).  The reason
I suspect it is related to xauthorization problems is due to
the .xsession-errors file produced which I have included
below:

----.xsession-errors ---
gnome-smproxy: unable to connect to session manager
Gdk-Message: Got event for unknown window: 0


GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.
While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.
GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.


GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.
Gdk-Message: Got event for unknown window: 0

xscreensaver-command: no screensaver is running on display
:0.0
xscreensaver disabling server builtin screensaver.
xscreensaver: you can re-enable it with "xset s on".

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.

GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : MIT-MAGIC-COOKIE-1
authentication rejected.
subshell.c: couldn't get terminal settings: Inappropriate
ioctl for device
-- end .xsession-errors--

Comment 1 David Lawrence 1999-08-06 15:28:59 UTC
This should be fixed in the latest gnome updates. Please download
these from ftp://ftp.redhat.com/updates and reopen this bug if the
problems still occur.


Note You need to log in before you can comment on or make changes to this bug.